function doSubmit() {	
    var query = document.forms.searchform.query.value;
    var searchtype = document.forms.searchform.searchtype[document.forms.searchform.searchtype.selectedIndex].value;
	var escapedQuery = escape(query);
	var dictyRoot = 'http://dictybase.org/db/cgi-bin/dictyBase/';

	// widget.openURL(string) currently chokes on
	// some special characters, so replace
	// escaped spaces with '+'
        escapedQuery = replace(escapedQuery, '%20', '+');
		
    var url = 'http://dictybase.org/db/cgi-bin/dictyBase/search/quickSearch?query=' + 
             escapedQuery + '&submit=Go&sort=swishrank';

	switch (searchtype) {
		case '':
			break;
		case 'genename':
			url= dictyRoot + '../gene_page.pl?gene_name=' + escapedQuery ;
			break;
		case 'geneproduct':
			url= dictyRoot + 'search/textSearch?type=gp&query=' + escapedQuery;
			break;
		case 'goTerm':
			url= dictyRoot + 'search/textSearch?type=goTerm&query=' + escapedQuery;
			break;
		case 'colleagues':
			url= dictyRoot + 'colleague/colleagueSearch?lname=' + escapedQuery;
			break;
		case 'authors':
			url= dictyRoot + 'reference/reference.pl?author=' + escapedQuery;
			break;
		case 'ESTs':
			url= 'http://dictybase.org/db/cgi-bin/ggb/gbrowse/dictyBase?name=' + escapedQuery;
			break;
		case 'ddb':
			url= dictyRoot + 'search/IDsearch.pl?query=' + escapedQuery;
			break;
		case 'dictyBlast':
			url= dictyRoot + '../blast.pl?program=blastn&sequence_type=DNA+coding+sequence&dictybaseid=' + escapedQuery;
			break;
		case 'dictyBlastN':
			url= dictyRoot + '../blast.pl?run_blast=1&program=blastn&database=dicty_primary_genomic&e_cutoff=0.001&num_align=50&sequence_type=DNA+coding+sequence&word_size=0&gapped=T&filter=T&dictybaseid=' + escapedQuery;
			break;
		case 'dictyBlastP':
			url= dictyRoot + '../blast.pl?run_blast=1&program=blastp&database=dicty_primary_protein&e_cutoff=0.001&num_align=50&sequence_type=Protein&word_size=0&gapped=T&filter=T&dictybaseid=' + escapedQuery;
			break;
		case 'dictyBlastNseq':
			escapedQuery=stripQuery(escapedQuery);
			url= dictyRoot + '../blast.pl?run_blast=1&program=blastn&database=dicty_primary_genomic&e_cutoff=0.001&num_align=50&sequence_type=DNA+coding+sequence&word_size=0&gapped=T&filter=T&query=' + escapedQuery;
			break;
			document.forms.searchform.program.value='blastn';
			document.forms.searchform.database.value='dicty_primary_genomic';
			document.forms.searchform.e_cutoff.value='0.001';
			document.forms.searchform.num_align.value='50';
			document.forms.searchform.sequence_type.value='DNA coding sequence';
			document.forms.searchform.word_size.value='0';
			document.forms.searchform.gapped.value='T';
			document.forms.searchform.filter.value='T';
			url= dictyRoot + '../blast.pl';
			document.forms.searchform.action=url;
			document.forms.searchform.submit();
			return false;
			url= dictyRoot + '../blast.pl?run_blast=1&program=blastn&database=dicty_primary_genomic&e_cutoff=0.001&num_align=50&sequence_type=DNA+coding+sequence&word_size=0&gapped=T&filter=T&query=' + escapedQuery;
			break;
		case 'dictyBlastPseq':
			escapedQuery=stripQuery(escapedQuery);
			url= dictyRoot + '../blast.pl?run_blast=1&program=blastp&database=dicty_primary_protein&e_cutoff=0.001&num_align=50&sequence_type=Protein&word_size=0&gapped=T&filter=T&query=' + escapedQuery;
			break;
			
		case 'ncbiBlastP':
			url= dictyRoot + 'go_to_ncbi_blast.pl?sequence_type=Protein&program=blastp&dictybaseid=' + escapedQuery;
			break;
		default:
			break;		
	}

	//alert("searchtype="+searchtype);
    widget.openURL(url);
	return false;
}

function replace (data,find,replace)  {
	var flen = find.length;
	var dlen = data.length;
	for (i=0; i<dlen; i++) {
		var j = i + flen;
		if (data.substring(i,j) == find)  {
			data = data.substring(0,i) + replace + data.substring(j,dlen);
		}
	}
	return data;
}

function stripQuery (data)  {
	data = data.replace(/%3E.*?%0A/, ''); 
	data = data.replace(/%0A/gi, ''); 
	return data;
}
